# Create a FinancialAccount object

Creates a new FinancialAccount.

## Request

```curl
curl -X POST https://api.stripe.com/v2/money_management/financial_accounts \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-08-27.preview" \
  --json '{
    "type": "storage",
    "storage": {
        "holds_currencies": [
            "usd"
        ]
    },
    "display_name": "Sample FinancialAccount"
  }'
```

### Response

```json
{
  "id": "fa_65So897Og7nsSRgcz1L16SmeOD0tE9TfqsMPW2uZH3IEky",
  "object": "v2.money_management.financial_account",
  "balance": {
    "available": {
      "usd": {
        "value": 0,
        "currency": "usd"
      }
    },
    "inbound_pending": {
      "usd": {
        "value": 0,
        "currency": "usd"
      }
    },
    "outbound_pending": {
      "usd": {
        "value": 0,
        "currency": "usd"
      }
    }
  },
  "country": "US",
  "created": "2025-06-27T21:52:05.197Z",
  "display_name": "Sample FinancialAccount",
  "livemode": true,
  "metadata": null,
  "status": "pending",
  "storage": {
    "holds_currencies": [
      "usd"
    ]
  },
  "type": "storage"
}
```

## Parameters

- `type` (enum, required)
  The type of FinancialAccount to create.
Possible enum values:
  - `storage`
    Used for the long term storage of funds and sending those funds to others.

- `display_name` (string, optional)
  A descriptive name for the FinancialAccount, up to 50 characters long. This name will be used in the Stripe Dashboard and embedded components.

- `metadata` (map, optional)
  Metadata associated with the FinancialAccount.

- [`storage`](https://docs.stripe.com/api/v2/money-management/financial-accounts/create.md?query=storage&api-version=2025-08-27.preview) (object, optional)
  Parameters specific to creating `storage` type FinancialAccounts.

## Returns

## Response attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string, value is "v2.money_management.financial_account")
  String representing the object’s type. Objects of the same type share the same value of the object field.

- [`balance`](https://docs.stripe.com/api/v2/money-management/financial-accounts/create.md?query=balance&api-version=2025-08-27.preview) (object)
  Multi-currency balance of this FinancialAccount, split by availability state. Each balance is represented as a hash where the key is the three-letter ISO currency code, in lowercase, and the value is the amount for that currency.

- `country` (enum)
  Two-letter country code that represents the country where the LegalEntity associated with the FinancialAccount is based in.

- `created` (timestamp)
  Time at which the object was created.

- `display_name` (string, nullable)
  A descriptive name for the FinancialAccount, up to 50 characters long. This name will be used in the Stripe Dashboard and embedded components.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `metadata` (map, nullable)
  Metadata associated with the FinancialAccount.

- [`other`](https://docs.stripe.com/api/v2/money-management/financial-accounts/create.md?query=other&api-version=2025-08-27.preview) (object, nullable)
  If this is a `other` FinancialAccount, this hash indicates what the actual type is. Upgrade your API version to see it reflected in `type`.

- `status` (enum)
  An enum representing the status of the FinancialAccount. This indicates whether or not the FinancialAccount can be used for any money movement flows.
Possible enum values:
  - `closed`
    The FinancialAccount is closed and cannot be used anymore.

  - `open`
    The FinancialAccount is open and available for use.

  - `pending`
    The FinancialAccount was created and is in the process of being opened.

- [`status_details`](https://docs.stripe.com/api/v2/money-management/financial-accounts/create.md?query=status_details&api-version=2025-08-27.preview) (object, nullable)
- [`storage`](https://docs.stripe.com/api/v2/money-management/financial-accounts/create.md?query=storage&api-version=2025-08-27.preview) (object, nullable)
  If this is a `storage` FinancialAccount, this hash includes details specific to `storage` FinancialAccounts.

- `type` (enum)
  Type of the FinancialAccount. An additional hash is included on the FinancialAccount with a name matching this value. It contains additional information specific to the FinancialAccount type.
Possible enum values:
  - `other`
    The API version used does not support the FinancialAccount’s type.

  - `storage`
    Used for the long term storage of funds and sending those funds to others.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | already_exists | The resource already exists. |
| 400 | financial_account_open_limit | The account has reached its limit on open FinancialAccounts. |
| 400 | storer_capability_missing | The required storer capabilities are missing. |
| 400 | storer_capability_not_active | The required storer capabilities are not active. |
| 400 | unsupported_currency | The currency is not supported for Financial Accounts. |
| 409 | idempotency_error | An idempotent retry occurred with different request parameters. |
